/*
 *	This program is Copyright (C) 1987 by the Board of Trustees of the
 *	University of Illinois, and by the author Dirk Grunwald.
 */

/* This is everything that's in a TeXPage */

#include "texx2.h"

#include <X11/Shell.h>

typedef struct TeXPageStruct
{
  int pageNumber;
  char * pageData;
  int userMag;
  Bool active;
  Bool realized;
#define MAXPAGENUMBERBUFFER 10
  char pageNumberBuffer[MAXPAGENUMBERBUFFER];
  Widget popUpPage;
  Widget dviPageBox;
  Widget singleDviPage;
  Widget viewPort;
  Widget buttonBox;
  Widget forewardButton;
  Widget backwardButton;
  Widget markButton;
  Widget dupButton;
  struct TeXPageStruct *tied;
  struct TeXPageStruct *tiedTo;
  Widget tieButton;
  Widget largeButton;
  Widget smallButton;
  Widget quitButton;
  Widget pageNumberText;
  Widget gotoButton;
  Widget magButton;
  Widget reopenButton;
} TeXPage;

extern int TeXPages;
#define MAX_TEX_PAGES 10
extern TeXPage *TheTeXPages [ MAX_TEX_PAGES ];

#ifdef _STDC_
 extern void TeXPageBuild();
 extern void TeXPageCloseFile();
 extern void TeXPageSlamPages();
 extern void TeXPageOpenFile();
 extern TeXPage *TeXPageLocate();
 extern char *TeXPageRef(int);
 extern void TeXPageDeref(int);
 extern void TeXPageRealize( TeXPage *);
#else
 extern void TeXPageBuild();
 extern void TeXPageCloseFile();
 extern void TeXPageSlamPages();
 extern void TeXPageOpenFile();
 extern TeXPage *TeXPageLocate();
 extern char *TeXPageRef();
 extern void TeXPageDeref();
#endif
